<?php


namespace App\Entities\AgendamentoPet;

use App\Utils\Entity;

class AgendamentoPet extends Entity
{
    protected $id_pet;
    protected $id_agendamento;

    public static function builder() : AgendamentoPetBuilder
    {
        $assistente_builder = new AgendamentoPetBuilder();
        return $assistente_builder;
    }

    /**
     * @return mixed
     */
    public function getIdPet()
    {
        return $this->id_pet;
    }

    /**
     * @param mixed $id_pet
     */
    public function setIdPet($id_pet): void
    {
        $this->id_pet = $id_pet;
    }

    /**
     * @return mixed
     */
    public function getIdAgendamento()
    {
        return $this->id_agendamento;
    }

    /**
     * @param mixed $id_agendamento
     */
    public function setIdAgendamento($id_agendamento): void
    {
        $this->id_agendamento = $id_agendamento;
    }


}